Python Module Dependencies

The requirements.txt file contains this project’s module dependencies. You can install these dependencies using pip.

pip install -r requirements.txt

requirements.txt

click>=7.0,<8
pip-check-reqs>=2.0.1,<3
pip-licenses>=1.7.1,<2
pylint>=1.8.4,<2
pytest>=3.4.0,<4
pytest-cov>=2.5.1,<3
pytest-pythonpath>=0.7.2,<1
setuptools>=38.4.0
Sphinx==1.7.2
sphinx-rtd-theme==0.3.0
toml>=0.10.0
tox>=3.0.0,<4
twine>=1.11.0,<2

Runtime Dependencies and Licenses

Name Version License URL
Click 7.0 BSD https://palletsprojects.com/p/click/
bleach 3.1.0 Apache Software License https://github.com/mozilla/bleach
filelock 3.0.10 License https://github.com/benediktschmitt/py-filelock
readme-renderer 24.0 Apache License, Version 2.0 https://github.com/pypa/readme_renderer
toml 0.10.0 MIT https://github.com/uiri/toml
webencodings 0.5.1 BSD https://github.com/SimonSapin/python-webencodings